#pragma once

#include "Mod.h"

class InventoryMove : public Mod {
public:
	int mode = 0;
	InventoryMove() : Mod(_("Inventory Move"), _(""), Category::MOVEMENT) {
		settings.push_back(new Setting{ _("Mode"), &mode, new int(0), new int(0), 1, {
			_("Flareon")
			}, true });

		enabled = false;
	}

private:
	glm::vec3 lastvelocity;
	virtual auto onClient() -> void override;
	virtual auto onPacketSendAfter2(Packet* packet, bool* cancel) -> void override;
	virtual auto getMode() -> std::string override;
};
